Subject: bug#3033 closed by martin rudalics <[email-masked]> (Re: bug#3033: 23.0.92; Try to auto fix whitespace loss? (y/n))

From: [email-masked] (Emacs bug Tracking System)
Date: Tue, 21 Apr 2009 07:30:03 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#3033: 23.0.92; Try to auto fix whitespace loss? (y/n)

It has been closed by martin rudalics <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact martin rudalics <[email-masked]> by
replying to this email.

-- 
3033: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3033
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#3033: 23.0.92; Try to auto fix whitespace loss? (y/n)
From: martin rudalics <[email-masked]>
To: Leo <[email-masked]>
Cc: [email-masked]
Date: Tue, 21 Apr 2009 09:18:50 +0200

> I tried the patch and it seems to work.

Thanks for testing.  So this has been fixed as:

	* diff-mode.el (diff-find-source-location): Don't call
	diff-sanity-check-hunk when NOPROMPT is non-nil.  (Bug#3033)

martin

Subject: 23.0.92; Try to auto fix whitespace loss? (y/n)
From: Leo <[email-masked]>
To: [email-masked]
Date: Fri, 17 Apr 2009 12:38:08 +0100

When I try to open by drag and drop the attached file, Emacs keep asking
me 'Try to auto fix whitespace loss? (y/n)'. No matter y or n, the
dialogue will appear again and again until I kill the buffer.

I enable whitespace mode using (add-hook 'diff-mode-hook
'whitespace-mode).

GNU Emacs 23.0.92.1 (i386-apple-darwin9.6.0, NS apple-appkit-949.43) of
2009-04-15 on 64-71-7-214.static.wiline.com

Index: gnus.texi
diff -u gnus/texi/gnus.texi:7.204 gnus/texi/gnus.texi:7.205
--- gnus.texi:7.204	Sat Dec 30 16:36:31 2006
+++ gnus.texi	Sat Dec 30 22:01:07 2006
@@ -10569,6 +10569,12 @@
 Pull all dormant articles (for the current group) into the summary buffer
 (@code{gnus-summary-insert-dormant-articles}).
 
+@item Y t
+@kindex Y t (Summary)
+@findex gnus-summary-insert-ticked-articles
+Pull all ticked articles (for the current group) into the summary buffer
+(@code{gnus-summary-insert-ticked-articles}).
+
 @end table